<script setup lang="ts">
import QrcodeVue from 'qrcode.vue'

defineProps<{
  link: string;
  class: string;
}>();
</script>

<template>
    <div :class="class" >
        <qrcode-vue
            class="qrcode text-right"
            :value="link"
            level="L"
            render-as="svg"
            :size="140"
            background="transparent"
            foreground="var(--color-light)"
        />
    </div>
</template>